# Update Conversation Called at the end of a synchronization run to push the latest derived data into the Customer's system. Endpoint: POST /update_conversation Version: 0.0.1 Security: BearerAuth ## Request fields (application/json): - `conversation_id` (string) ID of the conversation to update Example: "conv_456" - `title` (string,null) Conversation title Example: "Pricing inquiry - resolved" - `tags` (array) List of tags associated with the conversation in your system. Can be used to power routing within the Fin workflow among other things. Example: ["pricing","sales"] - `attributes` (object) Attributes associated with the conversation Example: {"issue_type":"Billing","priority":"High"} - `status` (string) Current conversation status: - open - Conversation is actively ongoing with the end-user - resolved - Conversation is resolved by Fin - closed - Conversation is finished/archived - ended - Conversation is ended by the end-user or agent Enum: "open", "resolved", "closed", "ended" - `assignee_id` (string) Agent ID (Fin agent). Set to null when handing over to a human agent. Example: "agent_fin" - `last_user_read_at` (string,null) When user last read the conversation Example: "2025-10-27T15:45:00.000Z" - `user` (object) Basic user information for requests - `user.id` (string) Unique identifier for the user in your system Example: "user_123456" - `user.name` (string) User's display name Example: "Jane Doe" - `user.email` (string) User's email address Example: "jane.doe@example.com" - `user.photo_url` (string) URL to user's avatar/profile picture (displayed in Fin Messenger) Example: "https://example.com/avatars/jane.jpg" - `user.user_type` (string) Type of user Enum: "end_user" - `user.attributes` (object,null) Attributes associated with the end-user Example: {"plan_type":"enterprise","signup_date":"2024-01-15","is_premium":true} ## Response 200 fields (application/json): - `data` (object) - `data.id` (string, required) Unique identifier for the conversation in your system Example: "conv_456" - `data.status` (string, required) Current conversation status: - open - Conversation is actively ongoing with the end-user - resolved - Conversation is resolved by Fin - closed - Conversation is finished/archived - ended - Conversation is ended by the end-user or agent Enum: "open", "resolved", "closed", "ended" - `data.user` (object, required) End user having a conversation with Fin or with an agent. - `data.user.id` (string, required) Unique identifier for the user in your system Example: "user_123456" - `data.user.user_type` (string, required) Type of user Enum: "end_user" - `data.user.name` (string,null) User's display name Example: "Jane Doe" - `data.user.email` (string,null) User's email address Example: "jane.doe@example.com" - `data.user.photo_url` (string,null) URL to user's avatar/profile picture (displayed in Fin Messenger) Example: "https://example.com/avatars/jane.jpg" - `data.user.attributes` (object,null) Attributes associated with the end-user Example: {"plan_type":"enterprise","signup_date":"2024-01-15","is_premium":true} - `data.title` (string,null) Conversation title or subject Example: "Question about pricing plans" - `data.tags` (array,null) List of tags associated with the conversation in your system. Can be used to power routing within the Fin workflow among other things. Example: ["pricing","sales"] - `data.attributes` (object) Attributes associated with the conversation Example: {"issue_type":"Billing","priority":"High"} - `data.assignee` (object,null) Agent having a conversation with an end-user. - `data.assignee.alias_name` (string,null) Agent's display alias_name (shown to end-users instead of real name) Example: "Support Jane" - `data.created_at` (string, required) When the conversation was created (ISO 8601 UTC) Example: "2025-10-27T14:30:00.000Z" - `data.updated_at` (string, required) When the conversation was last updated (ISO 8601 UTC) Example: "2025-10-27T15:45:00.000Z" - `error` (object) The error returned by the API. This is an RFC 7807 problem details object: . - `error.type` (string) A URI reference that identifies the problem type. - `error.title` (string) A short, human-readable summary of the problem type. - `error.status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. - `error.detail` (string) A human-readable explanation specific to this occurrence of the problem. - `error.instance` (string) A URI reference that identifies the specific occurrence of the problem.